import request from '@/utils/request'

// 查询润滑工单明细列表
export function listBillslubedetail(query) {
  return request({
    url: '/dms/billslubedetail/list',
    method: 'get',
    params: query
  })
}

// 查询润滑工单明细详细
export function getBillslubedetail(billsLubeDetailId) {
  return request({
    url: '/dms/billslubedetail/' + billsLubeDetailId,
    method: 'get'
  })
}

// 新增润滑工单明细
export function addBillslubedetail(data) {
  return request({
    url: '/dms/billslubedetail',
    method: 'post',
    data: data
  })
}

// 修改润滑工单明细
export function updateBillslubedetail(data) {
  return request({
    url: '/dms/billslubedetail',
    method: 'put',
    data: data
  })
}

// 删除润滑工单明细
export function delBillslubedetail(billsLubeDetailId) {
  return request({
    url: '/dms/billslubedetail/' + billsLubeDetailId,
    method: 'delete'
  })
}
